package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class OrderBadBean {

        /**
         * scrapStatisticsLists : [{"orderId":"cf185b11382311ea8334fa163e1166bd","orderNumber":"TESTO001","scrappedCountPrice":0,"scrapStatistics":[{"orderId":"cf185b11382311ea8334fa163e1166bd","orderNumber":"TESTO001","productId":"63cf3fffb2a511e99593fa163e1166bd","productName":"产品0001","productCode":"PRODUCT0001","drawingNumber":"001","specification":"1","procedureId":"4b2433dc045c11ea8334fa163e1166bd","procedureName":"成型","procedureCode":"测试用例1","orderCount":20,"scrapCount":1,"badRate":0.05,"unitPrice":null,"scrapLoss":null},{"orderId":"cf185b11382311ea8334fa163e1166bd","orderNumber":"TESTO001","productId":"63cf3fffb2a511e99593fa163e1166bd","productName":"产品0001","productCode":"PRODUCT0001","drawingNumber":"001","specification":"1","procedureId":"31a862be020311ea8334fa163e1166bd","procedureName":"烧成","procedureCode":"GX036","orderCount":20,"scrapCount":2,"badRate":0.1,"unitPrice":null,"scrapLoss":null}]},{"orderId":"12312313","orderNumber":"TESTO002","scrappedCountPrice":0,"scrapStatistics":[{"orderId":"12312313","orderNumber":"TESTO002","productId":"219afc9011b211eae334fa163e1166bd","productName":"产品0002","productCode":"PRODUCT0002","drawingNumber":"1","specification":"1","procedureId":"720030b456df11ea8334fa163e1166bd","procedureName":"车加工","procedureCode":"GX170","orderCount":0,"scrapCount":1,"badRate":0,"unitPrice":null,"scrapLoss":null}]}]
         * siteId : 4a418ee8ffa211e98334fa163e1166bd
         * siteName : 锆碳厂
         * siteCode : ZWGT
         * date : 2020-02-11～2020-03-11
         */

        private String siteId;
        private String siteName;
        private String siteCode;
        private String date;
        private List<ScrapStatisticsListsBean> scrapStatisticsLists;

        public String getSiteId() {
            return siteId;
        }

        public void setSiteId(String siteId) {
            this.siteId = siteId;
        }

        public String getSiteName() {
            return siteName;
        }

        public void setSiteName(String siteName) {
            this.siteName = siteName;
        }

        public String getSiteCode() {
            return siteCode;
        }

        public void setSiteCode(String siteCode) {
            this.siteCode = siteCode;
        }

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public List<ScrapStatisticsListsBean> getScrapStatisticsLists() {
            return scrapStatisticsLists;
        }

        public void setScrapStatisticsLists(List<ScrapStatisticsListsBean> scrapStatisticsLists) {
            this.scrapStatisticsLists = scrapStatisticsLists;
        }

        public static class ScrapStatisticsListsBean {
            /**
             * orderId : cf185b11382311ea8334fa163e1166bd
             * orderNumber : TESTO001
             * scrappedCountPrice : 0.0
             * scrapStatistics : [{"orderId":"cf185b11382311ea8334fa163e1166bd","orderNumber":"TESTO001","productId":"63cf3fffb2a511e99593fa163e1166bd","productName":"产品0001","productCode":"PRODUCT0001","drawingNumber":"001","specification":"1","procedureId":"4b2433dc045c11ea8334fa163e1166bd","procedureName":"成型","procedureCode":"测试用例1","orderCount":20,"scrapCount":1,"badRate":0.05,"unitPrice":null,"scrapLoss":null},{"orderId":"cf185b11382311ea8334fa163e1166bd","orderNumber":"TESTO001","productId":"63cf3fffb2a511e99593fa163e1166bd","productName":"产品0001","productCode":"PRODUCT0001","drawingNumber":"001","specification":"1","procedureId":"31a862be020311ea8334fa163e1166bd","procedureName":"烧成","procedureCode":"GX036","orderCount":20,"scrapCount":2,"badRate":0.1,"unitPrice":null,"scrapLoss":null}]
             */

            private String orderId;
            private String orderNumber;
            private double scrappedCountPrice;
            private List<ScrapStatisticsBean> scrapStatistics;

            public String getOrderId() {
                return orderId;
            }

            public void setOrderId(String orderId) {
                this.orderId = orderId;
            }

            public String getOrderNumber() {
                return orderNumber;
            }

            public void setOrderNumber(String orderNumber) {
                this.orderNumber = orderNumber;
            }

            public double getScrappedCountPrice() {
                return scrappedCountPrice;
            }

            public void setScrappedCountPrice(double scrappedCountPrice) {
                this.scrappedCountPrice = scrappedCountPrice;
            }

            public List<ScrapStatisticsBean> getScrapStatistics() {
                return scrapStatistics;
            }

            public void setScrapStatistics(List<ScrapStatisticsBean> scrapStatistics) {
                this.scrapStatistics = scrapStatistics;
            }

            public static class ScrapStatisticsBean {
                /**
                 * orderId : cf185b11382311ea8334fa163e1166bd
                 * orderNumber : TESTO001
                 * productId : 63cf3fffb2a511e99593fa163e1166bd
                 * productName : 产品0001
                 * productCode : PRODUCT0001
                 * drawingNumber : 001
                 * specification : 1
                 * procedureId : 4b2433dc045c11ea8334fa163e1166bd
                 * procedureName : 成型
                 * procedureCode : 测试用例1
                 * orderCount : 20
                 * scrapCount : 1
                 * badRate : 0.05
                 * unitPrice : null
                 * scrapLoss : null
                 */

                private String orderId;
                private String orderNumber;
                private String productId;
                private String productName;
                private String productCode;
                private String drawingNumber;
                private String specification;
                private String procedureId;
                private String procedureName;
                private String procedureCode;
                private int orderCount;
                private int scrapCount;
                private double badRate;
                private String unitPrice;
                private String scrapLoss;

                public String getOrderId() {
                    return orderId;
                }

                public void setOrderId(String orderId) {
                    this.orderId = orderId;
                }

                public String getOrderNumber() {
                    return orderNumber;
                }

                public void setOrderNumber(String orderNumber) {
                    this.orderNumber = orderNumber;
                }

                public String getProductId() {
                    return productId;
                }

                public void setProductId(String productId) {
                    this.productId = productId;
                }

                public String getProductName() {
                    return productName;
                }

                public void setProductName(String productName) {
                    this.productName = productName;
                }

                public String getProductCode() {
                    return productCode;
                }

                public void setProductCode(String productCode) {
                    this.productCode = productCode;
                }

                public String getDrawingNumber() {
                    return drawingNumber;
                }

                public void setDrawingNumber(String drawingNumber) {
                    this.drawingNumber = drawingNumber;
                }

                public String getSpecification() {
                    return specification;
                }

                public void setSpecification(String specification) {
                    this.specification = specification;
                }

                public String getProcedureId() {
                    return procedureId;
                }

                public void setProcedureId(String procedureId) {
                    this.procedureId = procedureId;
                }

                public String getProcedureName() {
                    return procedureName;
                }

                public void setProcedureName(String procedureName) {
                    this.procedureName = procedureName;
                }

                public String getProcedureCode() {
                    return procedureCode;
                }

                public void setProcedureCode(String procedureCode) {
                    this.procedureCode = procedureCode;
                }

                public int getOrderCount() {
                    return orderCount;
                }

                public void setOrderCount(int orderCount) {
                    this.orderCount = orderCount;
                }

                public int getScrapCount() {
                    return scrapCount;
                }

                public void setScrapCount(int scrapCount) {
                    this.scrapCount = scrapCount;
                }

                public double getBadRate() {
                    return badRate;
                }

                public void setBadRate(double badRate) {
                    this.badRate = badRate;
                }

                public String getUnitPrice() {
                    return unitPrice;
                }

                public void setUnitPrice(String unitPrice) {
                    this.unitPrice = unitPrice;
                }

                public String getScrapLoss() {
                    return scrapLoss;
                }

                public void setScrapLoss(String scrapLoss) {
                    this.scrapLoss = scrapLoss;
                }
            }
        }
}
